# $Revision: 1.82 $, $Date: 2011/05/23 09:23:53 $
# NOTE: 2.5.35+ can't deal with "[[" "]]" strings in sources, needs workarounds like space separation
#       (or update of m4-quotes patch)
Summary:	GNU fast lexical analyzer generator
Summary(de.UTF-8):	GNU - schneller lexikalischer Analysegenerator
Summary(es.UTF-8):	Generador rápido de analizadores léxicos de la GNU
Summary(fr.UTF-8):	Générateur rapide d'analyseur lexical de GNU
Summary(pl.UTF-8):	Szybki generator analizatora składni GNU (flex)
Summary(pt_BR.UTF-8):	Gerador rápido de analisadores léxicos da GNU
Summary(ru.UTF-8):	Быстрый генератор лексических анализаторов GNU
Summary(tr.UTF-8):	GNU sözdizim çözümleyici
Summary(uk.UTF-8):	Швидкий генератор лексичних аналізаторів GNU
Name:		flex
Version:	2.5.35
Release:	1
License:	BSD-like
Group:		Development/Tools
Source0:	http://downloads.sourceforge.net/flex/%{name}-%{version}.tar.bz2
# Source0-md5:	10714e50cea54dc7a227e3eddcd44d57
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	fd79ee2834b290e74c626f0bbfc8942f
Patch0:		%{name}-info.patch
Patch1:		%{name}-locale.patch
Patch2:		%{name}-gcc44.patch
Patch3:		%{name}-missing-prototypes.patch
Patch4:		%{name}-sign.patch
# patch #869230 (second version of bug #720983 fix - from flex BTS)
# outdated as for 2.5.34+, but contains testcase
Patch5:		%{name}-m4-quotes.diff
URL:		http://flex.sourceforge.net/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	bison
# to rebuild scan.c from scan.l (m4-quotes patch)
#BuildRequires:	flex
BuildRequires:	gettext-devel >= 0.11.5
BuildRequires:	help2man
# to rebuild skel.c from patched flex.skl
BuildRequires:	m4
BuildRequires:	texinfo
BuildRequires:	util-linux
Requires:	m4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the GNU fast lexical analyzer generator. It generates lexical
tokenizing code based on a lexical (regular expression based)
description of the input. It is designed to work with both yacc and
bison, and is used by many programs as part of their build process.

%description -l de.UTF-8
GNU, der schnelle lexikalische Analysengenerator. Er erzeugt
lexikalischen Token-Code, basierend auf einer lexikalischen
Beschreibung (reguläre Ausdrucksbasis) der Eingabe. Ausgelegt zum
Arbeiten mit yacc und bison, wird er von vielen Programmen als Teil
des Build-Vorgangs verwendet.

%description -l es.UTF-8
Este es el creador GNU de análisis léxica rápida. Crea códigos léxicos
tokenizados basados en una descripción léxica (basado en expresiones
regulares) de la entrada. Está designado a trabajar tanto con yacc
como con bison, y se utiliza en varios programas como parte del su
proceso de programación.

%description -l fr.UTF-8
Générateur rapide d'analyseur lexical de GNU. Il génère du code
lexical sous forme de tokens basé sur une description lexicale (basé
sur les expressions rationnelles) de son entrée. Il est conçu pour
fonctionner avec yacc et bison, et est utilisé par de nombreux
programmes comme faisant partie de leur phase de construction.

%description -l pl.UTF-8
GNU flex służy do tworzenia programu analizy leksykalnej na podstawie
wyrażeń regularnych i dyrektyw C zawartych w jednym lub więcej plikach
wejściowych. Przeznaczony do współpracy z parserami yacc i bison, jest
używany przez wiele programów w procesie kompilacji.

%description -l pt_BR.UTF-8
Este é o gerador GNU de análise léxica rápida. Ele gera códigos
léxicos tokenizados baseados em uma descrição léxica (baseado em
expressões regulares) da entrada. Ele é designado para trabalhar tanto
com yacc como com bison, e é utilizado em vários programas como parte
do seu processo de programação.

%description -l ru.UTF-8
Программа flex генерирует сканнеры. Сканнеры - это программы,
способные распознавать лексические шаблоны в тексте. flex принимает на
входе пару регулярных выражений и C код и генерирует исходные файлы на
языке C. Исходный файл компилируется и связывается с библиотекой для
создания исполняемого файла, который будет просматривать свой входной
поток данных в поиске регулярных выражений. При нахождении будет
исполняться заданный C код. flex был разработан для работы как с
системой Yacc, так и Bison, и используется многими программами как
часть процесса их построения из исходных текстов.

Вам следует установить flex, если вы собираетесь использовать свою
систему для разработки программ.

%description -l tr.UTF-8
Bu paket, giriş olarak okuduğu bilgiyi kendisine düzgün deyimler
olarak belirtilen kurallar çerçevesinde birimlere böler. yacc ve bison
paketleri ile birlikte çalışacak şekilde tasarlanmıştır. Pek çok
programın derlenme aşamasında kullanılır.

%description -l uk.UTF-8
Програма flex генерує сканери. Сканери - це програми, які можуть
розпізнавати лексичні шаблони в тексті. flex приймає на вході пару
регулярних виразів та C код та генерує вихідні файли на мові C.
Вихідний файл компілюється та зв'язується з бібліотекою для створення
виконуваного файлу, що проглядатиме свій вхідний потік даних в пошуку
регулярних виразів. При знаходженні виконуватиметься заданий C код.
flex був розроблений для роботи як з системою Yacc, так і Bison, та
використовується багатьма програмами в процесі їх побудови з вихідних
текстів.

Вам слід встановити flex, якщо ви збираєтесь використовувати свою
систему для розробки програм.

%package examples
Summary:	Flex examples
Summary(pl.UTF-8):	Przykłady dla fleksa
Group:		Development/Tools

%description examples
Flex examples.

%description examples -l pl.UTF-8
Przykłady dla fleksa.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
#%patch5 -p1

# force regeneration (just in case make didn't want to)
rm -f skel.c

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf flex $RPM_BUILD_ROOT%{_bindir}/lex
ln -sf flex $RPM_BUILD_ROOT%{_bindir}/flex++

echo .so flex.1 > $RPM_BUILD_ROOT%{_mandir}/man1/flex++.1
echo .so flex.1 > $RPM_BUILD_ROOT%{_mandir}/man1/lex.1

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
rm -f $RPM_BUILD_ROOT%{_mandir}/README.flex-non-english-man-pages

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/flex
%attr(755,root,root) %{_bindir}/flex++
%attr(755,root,root) %{_bindir}/lex
%{_mandir}/man1/flex.1*
%{_mandir}/man1/flex++.1*
%{_mandir}/man1/lex.1*
%lang(es) %{_mandir}/es/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_infodir}/flex.info*
%{_libdir}/libfl.a
%{_libdir}/libfl_pic.a
%{_includedir}/FlexLexer.h

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: flex.spec,v $
Revision 1.82  2011/05/23 09:23:53  lisu
- seems to work fine, rel 1

Revision 1.81  2010/11/25 08:14:59  qboosh
- added gcc44,missing-prototypes,sign patches from Fedora (error or warning fixes)
- outdated (no longer applying) m4-quotes patch left for still valid testcase
- passing -fPIC through specflags is not valid (not used in debug builds);
  also, libfl_pic.a (-lfl_pic) instead of libfl.a should be used where PIC is needed

Revision 1.80  2010/05/16 12:11:28  glen
- up to 2.5.35, can't find bug #720983 for -m4-quotes.diff patch

Revision 1.79  2010/05/13 19:52:08  sparky
- release: 4 (because of missing R: m4; STBR)

Revision 1.78  2008/11/24 20:10:17  pawelz
- R: m4 (see info flex -> "M4 Dependency")

Revision 1.77  2008/07/27 22:22:04  arekm
- release 3

Revision 1.76  2008-02-10 02:30:44  qboosh
- anti-upgrade note

Revision 1.75  2008-01-24 01:22:59  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.74  2007-02-13 07:16:44  glen
- tabs in preamble

Revision 1.73  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.72  2006/05/14 19:24:30  pluto
- force -fPIC (for static lib) to able to use libfl.a in sahred objects.
- release 2.

Revision 1.71  2006/03/16 20:06:01  glen
- looks like CVE-2006-0459 is included in 2.5.33

Revision 1.70  2006/03/07 22:31:44  qboosh
- updated to 2.5.33 (fixes CVE-2006-0975, CVE-2006-0459)
- updated glibc22,locale patches, removed obsolete yymore-fix,yytext_ptr,posix
  patches and pl.po
- new URLs

Revision 1.69  2005/12/25 19:10:16  twittner
- get rid of @samp{sth} in generated info page (extended -info.patch)
- added subpkg. with flex examples
- rel. 10

Revision 1.68  2005/03/26 19:00:55  mmazur
- rel 9 for th

Revision 1.67  2004/07/31 00:12:46  qboosh
- cleanup

Revision 1.66  2004/07/19 21:41:48  qboosh
- added missing configure.in change to m4-quotes patch, fix am rebuild

Revision 1.65  2004/07/18 21:41:38  qboosh
- updated m4-quotes patch; m4-quotes-codeblock should be obsolete now
- added posix patch (head syntax fix); release 8

Revision 1.64  2004/07/14 22:55:49  qboosh
- BR already installed flex

Revision 1.63  2004/07/07 20:57:15  arekm
- rel 7; be flex++

Revision 1.62  2003/12/25 14:05:52  undefine
- copy config.sub to allow build on amd64

Revision 1.61  2003/12/07 14:43:57  qboosh
- added m4-quotes.diff patch from flex BTS (patch 829996 for bug 720983)
  and m4-quotes-codeblock patch based in it for similar issue in detex.spec
- release 6

Revision 1.60  2003/10/30 12:16:18  kosmo
- BR: util-linux (/usr/bin/rev required for build)

Revision 1.59  2003/09/30 13:33:50  trojan
- fixed manpages

Revision 1.58  2003/08/24 21:17:01  mmazur
- for ac: flex rel5; bison rel5; byacc rel24

Revision 1.57  2003/07/15 14:10:30  qboosh
- removed obsolete skel patch, removed autogenerated chunk from glibc22 patch
- added yytext_ptr-undefined patch (from flex BTS)
- release 4

Revision 1.56  2003/07/08 18:26:38  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.55  2003/06/28 00:16:28  qboosh
- added yymore-fix patch (for something && yymore_used && !reentrant conflict)
- release 3

Revision 1.54  2003/06/21 07:00:32  blues
- many small fixes, mostly in URLs and mostly by kloczek

Revision 1.53  2003/06/20 20:08:59  mwinkler
- BR: help2man

Revision 1.52  2003/06/19 11:53:35  qboosh
- added pl.po, BR: gettext-devel
- added locale patch to set LC_CTYPE (but beware of strange charsets...)
- release 2

Revision 1.51  2003/06/19 00:38:18  qboosh
- merged DEVEL branch
- updated info,glibc22 patches
- 2.5.4a_bufer_overflow,gcc3,gcc31 patches are obsolete

Revision 1.48.2.1  2003/05/09 12:11:05  adgor
- Updated to 2.5.31
- Rejected patches (2,3,4,5) need checkout

Revision 1.48  2003/03/16 14:47:15  krolik
- new BR: texinfo

Revision 1.47  2002/09/07 12:48:31  kloczek
- release 27,
- merge gcc3, gcc31 patches stolen from RH (gcc 3.x fixes),
- merge translations from Conectiva,
- adapterize spec file.

Revision 1.46  2002/09/07 10:57:20  undefine
- changed URL
- changed License
- new %doc
- more translations from KSI
- release 18

Revision 1.45  2002/09/07 09:23:11  dzimi
- rel 17
- security fix for faults on very long lines

Revision 1.44  2002/05/21 23:13:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.43  2002/04/25 16:18:34  arturs
fixed a small typo

Revision 1.42  2002/02/23 02:06:14  kloczek
- adapterized.

Revision 1.41  2002/02/22 23:28:54  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.40  2002/01/24 00:12:59  ankry
- added man-pages tar URL

Revision 1.39  2002/01/18 02:12:57  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.38  2001/11/08 10:25:41  ankry
- added es,ja,pl man pages
- release 16

Revision 1.37  2001/10/11 12:41:49  qboosh
- BuildRequires: autoconf

Revision 1.36  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.34  2001/03/26 22:09:58  kloczek
- release 15.

Revision 1.33  2001/03/26 15:59:31  mikrobi
- source URL updated

Revision 1.32  2001/02/08 06:13:44  kloczek
- release 14,
- merge rawhide fix (glibc22 patch) for generation of broken code
  (conflicting isatty() prototype w/ glibc 2.2) This broke, among other
  things, the kdelibs 2.0 build.

Revision 1.31  2000/12/11 12:10:55  qboosh
- BuildRequires: bison

Revision 1.30  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.29  2000/06/18 22:57:08  kloczek
- release 13.

Revision 1.28  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.27  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.26  2000/05/24 16:50:45  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.25  2000/05/18 21:48:35  kloczek
- spec adapterized.

Revision 1.24  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.23  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.21  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.20  1999/09/21 00:42:20  kloczek
- release 11,
- added patch skel from rawhide to avoid uninitialized variable warning.

Revision 1.19  1999/09/17 22:08:33  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format,
- added gzipping docs,
- cosmetcs.
